Package org.eclipse.birt.chart.factory

# Class RunTimeContext.StateKey<T>

java.lang.Object
org.eclipse.birt.chart.factory.RunTimeContext.StateKey<T>

Enclosing class:
  RunTimeContext

public static class RunTimeContext.StateKey<T> extends Object
Predifined static keys for states.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final RunTimeContext.StateKey<IChartComputation>`
`CHART_COMPUTATION_KEY`
Key to reference Chart Computation.
`static final RunTimeContext.StateKey<Boolean>`
`DATA_EMPTY_KEY`
Key to reference if the data of chart is empty.
`static final RunTimeContext.StateKey<Map<Label,LabelLimiter>>`
`LABEL_LIMITER_LOOKUP_KEY`
Key to reference LabelLimiter lookup table.

## Method Summary

Modifier and Type
Method
Description
`static <T> RunTimeContext.StateKey<T>`
`create(boolean needClear)`
`boolean`
`needClear()`
Check if the state should be clear itself after chart rendering.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DATA_EMPTY_KEY

public static final RunTimeContext.StateKey<Boolean> DATA_EMPTY_KEY
Key to reference if the data of chart is empty.

### LABEL_LIMITER_LOOKUP_KEY

public static final RunTimeContext.StateKey<Map<Label,LabelLimiter>> LABEL_LIMITER_LOOKUP_KEY
Key to reference LabelLimiter lookup table.

### CHART_COMPUTATION_KEY

public static final RunTimeContext.StateKey<IChartComputation> CHART_COMPUTATION_KEY
Key to reference Chart Computation.

## Method Details

### needClear

public boolean needClear()
Check if the state should be clear itself after chart rendering.

Returns:

### create

public static <T> RunTimeContext.StateKey<T> create(boolean needClear)